Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2831363002: [ios] Add a BrowserListObserver interface. (Closed)

Created:
7 months ago by sdefresne
Modified:
6 months, 2 weeks ago
CC:
chromium-reviews, ios-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[ios] Add a BrowserListObserver interface. In order to serialise the state of the application, it is necessary to track creation and destruction of WebStateLists. This is done by adding a BrowserListObserver to track the creation of owning Browsers. BUG=710848 Review-Url: https://codereview.chromium.org/2831363002 Cr-Commit-Position: refs/heads/master@{#468930} Committed: https://chromium.googlesource.com/chromium/src/+/b65a25e558ff3d3f3e411e3aa2fb09cab0fe2ca1

Patch Set 1 #

Patch Set 2 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+134 lines, -2 lines) Patch
M ios/shared/chrome/browser/ui/browser_list/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M ios/shared/chrome/browser/ui/browser_list/browser_list.h View 2 chunks +8 lines, -0 lines 0 comments Download
M ios/shared/chrome/browser/ui/browser_list/browser_list.mm View 2 chunks +16 lines, -2 lines 0 comments Download
A ios/shared/chrome/browser/ui/browser_list/browser_list_observer.h View 1 chunk +29 lines, -0 lines 0 comments Download
A ios/shared/chrome/browser/ui/browser_list/browser_list_observer.mm View 1 chunk +19 lines, -0 lines 0 comments Download
M ios/shared/chrome/browser/ui/browser_list/browser_list_unittest.mm View 3 chunks +60 lines, -0 lines 0 comments Download

Messages

Total messages: 34 (21 generated)
sdefresne
Please take a look and send to CQ if LGTY.
6 months, 3 weeks ago (2017-04-25 16:07:34 UTC) #9
sdefresne
rohitrao: ping
6 months, 3 weeks ago (2017-04-27 13:26:02 UTC) #12
sdefresne
rohitrao: ping
6 months, 2 weeks ago (2017-05-02 07:51:15 UTC) #13
rohitrao (ping after 24h)
lgtm Why is this needed?
6 months, 2 weeks ago (2017-05-02 10:10:29 UTC) #14
sdefresne
On 2017/05/02 10:10:29, rohitrao (ping after 24h) wrote: > lgtm > > Why is this ...
6 months, 2 weeks ago (2017-05-02 13:48:50 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831363002/40001
6 months, 2 weeks ago (2017-05-02 15:08:21 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/443289)
6 months, 2 weeks ago (2017-05-02 16:23:20 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831363002/40001
6 months, 2 weeks ago (2017-05-03 08:12:28 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/444092)
6 months, 2 weeks ago (2017-05-03 08:56:41 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831363002/40001
6 months, 2 weeks ago (2017-05-03 09:05:00 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/444101)
6 months, 2 weeks ago (2017-05-03 09:31:46 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831363002/40001
6 months, 2 weeks ago (2017-05-03 10:11:04 UTC) #31
commit-bot: I haz the power
6 months, 2 weeks ago (2017-05-03 10:33:59 UTC) #34
Message was sent while issue was closed.
Committed patchset #2 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/b65a25e558ff3d3f3e411e3aa2fb...

Powered by Google App Engine
This is Rietveld efc10ee0f